--- build/lib/sysinfo.py.orig	Fri Jan 21 17:46:56 2005
+++ build/lib/sysinfo.py	Thu Apr 14 17:35:12 2005
@@ -163,6 +163,13 @@
     family_list = ['unix', 'freebsd', 'freebsd5', 'freebsd-5.0', 'freebsd-5.0-i586'] ))
 
 AddPlatform(Platform(
+    id = 'freebsd-6.0-i586',
+    platform = 'freebsd6',
+    arch = 'i386',
+    distribution_id = 'freebsd-6.0-i586',
+    family_list = ['unix', 'freebsd', 'freebsd6', 'freebsd-6.0', 'freebsd-6.0-i586'] ))
+
+AddPlatform(Platform(
     id = 'openbsd-3.3-i586',
     platform = 'openbsd33',
     arch = 'i386',
@@ -1107,6 +1114,9 @@
 
     elif sys.platform == 'freebsd5':
         set_platform('freebsd-5.0-i586')
+
+    elif sys.platform == 'freebsd6':
+        set_platform('freebsd-6.0-i586')
 
     elif sys.platform == 'hp-uxB':
         set_platform('hpux-11.0-parisc')
